#!/bin/sh
scriptdir=`/usr/bin/dirname $0`
Firmware_iLiad=`cat /etc/er_version_commercial`
cd $scriptdir
Firmware_Script=`cat Firmware_Script`

if [ "$Firmware_iLiad" = "$Firmware_Script" ]; then
	cp /mnt/settings/er_registry.txt /mnt/settings/er_registry.txt.orig
	sed -i -f update.sed /mnt/settings/er_registry.txt
	mv manifest.xml install.xml
	mv done.xml manifest.xml
else
	# wrong firmware version
	# script is deactivated, error message
	cat wrong_fw.xml | sed -e "s/Firmware_Script_xml/$Firmware_Script/" > wrong_fw.xml
	cat wrong_fw.xml | sed -e "s/Firmware_iLiad_xml/$Firmware_iLiad/" > wrong_fw.xml
	mv manifest.xml install.xml
	mv wrong_fw.xml manifest.xml
fi
